import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增考试安排
    addExamexamarrangement(data) {
        return request({
            url: '/exam/arrangement/addExam',
            method: 'post',
            data
        })
    },
    //修改考试安排
    editExamexamarrangement(data) {
        return request({
            url: '/exam/arrangement/editExam',
            method: 'post',
            data
        })
    },
    // 考试安排列表
    examarrangementlist(data) {
        return request({
            url: '/exam/arrangement/list',
            method: 'get',
            params: data
        })
    },
    // 考试安排详情
    examarrangementId(data) {
        return request({
            url: '/exam/arrangement/' + data,
            method: 'get',
        })
    },


    //新增【考试指南】
    addGuideexamarrangement(data) {
        return request({
            url: '/exam/arrangement/addGuide',
            method: 'post',
            data
        })
    },
    //修改【考试指南】
    editGuideexamarrangement(data) {
        return request({
            url: '/exam/arrangement/editGuide',
            method: 'post',
            data
        })
    },
    // 考试指南列表
    examarrangementlistGuide(data) {
        return request({
            url: '/exam/arrangement/listGuide',
            method: 'get',
            params: data
        })
    },




    // 学员计划列表
    examarrangementlistExamUser(data) {
        return request({
            url: '/exam/arrangement/listExamUser',
            method: 'get',
            params: data
        })
    },
    // 订阅人数列表
    examarrangementlistlistSub(data) {
        return request({
            url: '/exam/arrangement/listSub',
            method: 'get',
            params: data
        })
    },

}